Debian Bug report logs - #499887
tinyscheme: Segmentation fault on (make-vector 9999)

version graph

Package: tinyscheme; Maintainer for tinyscheme is Panu Kalliokoski <atehwa@sange.fi>; Source for tinyscheme is src:tinyscheme.

Reported by: Godless Infidel <phelpsj@nuvox.net>

Date: Tue, 23 Sep 2008 10:48:01 UTC

Severity: grave

Tags: patch

Found in version tinyscheme/1.37-3

Fixed in version tinyscheme/1.37-3.1

Done: Luca Falavigna <dktrkranz@ubuntu.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Panu Kalliokoski <atehwa@sange.fi>:
Bug#499887; Package tinyscheme. (Tue, 23 Sep 2008 10:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Godless Infidel <phelpsj@nuvox.net>:
New Bug report received and forwarded. Copy sent to Panu Kalliokoski <atehwa@sange.fi>. (Tue, 23 Sep 2008 10:48:03 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Godless Infidel <phelpsj@nuvox.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: tinyscheme: Segmentation fault on (make-vector 9999)
Date: Tue, 23 Sep 2008 06:42:44 -0400
Package: tinyscheme
Version: 1.37-3
Severity: grave
Justification: renders package unusable


To reproduce this bug: 

 $ tinyscheme
 TinyScheme 1.37
 > (make-vector 9999)
 Segmentation fault

This bug does not occur for values less than 9999.

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.22-2-686 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages tinyscheme depends on:
ii  libc6                         2.7-10     GNU C Library: Shared libraries

tinyscheme recommends no packages.

tinyscheme suggests no packages.

-- no debconf information

-- 
Microsoft Windows. The problem for your problem.





Information forwarded to debian-bugs-dist@lists.debian.org, Panu Kalliokoski <atehwa@sange.fi>:
Bug#499887; Package tinyscheme. (Tue, 23 Sep 2008 23:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Falavigna <dktrkranz@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Panu Kalliokoski <atehwa@sange.fi>. (Tue, 23 Sep 2008 23:27:03 GMT) Full text and rfc822 format available.

Message #10 received at 499887@bugs.debian.org (full text, mbox):

From: Luca Falavigna <dktrkranz@ubuntu.com>
To: 499887@bugs.debian.org
Cc: control@bugs.debian.org
Subject: NMU patch for 1.37-3.1
Date: Wed, 24 Sep 2008 01:21:04 +0200
[Message part 1 (text/plain, inline)]
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

tag 499887 + patch
thanks

Please find attached NMU patch for 1.37-3.1 which should fix this bug.

- --
 . ''`.      Luca Falavigna
 : :'  :  Ubuntu MOTU Developer
 `. `'`     Debian Maintainer
   `-      GPG Key: 0x86BC2A50
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iEYEARECAAYFAkjZed8ACgkQnXjXEYa8KlBp5ACgpSGyo64EkTWpvirXcqvHxoh8
g8kAnRH9NBnaNAFQB3ekqI3YVaifrkAM
=7gnM
-----END PGP SIGNATURE-----
[tinyscheme_1.37-3.1.debdiff (text/plain, attachment)]

Tags added: patch Request was from Luca Falavigna <dktrkranz@ubuntu.com> to control@bugs.debian.org. (Tue, 23 Sep 2008 23:27:04 GMT) Full text and rfc822 format available.

Reply sent to Luca Falavigna <dktrkranz@ubuntu.com>:
You have taken responsibility. (Wed, 24 Sep 2008 09:54:17 GMT) Full text and rfc822 format available.

Notification sent to Godless Infidel <phelpsj@nuvox.net>:
Bug acknowledged by developer. (Wed, 24 Sep 2008 09:54:17 GMT) Full text and rfc822 format available.

Message #17 received at 499887-close@bugs.debian.org (full text, mbox):

From: Luca Falavigna <dktrkranz@ubuntu.com>
To: 499887-close@bugs.debian.org
Subject: Bug#499887: fixed in tinyscheme 1.37-3.1
Date: Wed, 24 Sep 2008 09:17:04 +0000
Source: tinyscheme
Source-Version: 1.37-3.1

We believe that the bug you reported is fixed in the latest version of
tinyscheme, which is due to be installed in the Debian FTP archive:

tinyscheme_1.37-3.1.diff.gz
  to pool/main/t/tinyscheme/tinyscheme_1.37-3.1.diff.gz
tinyscheme_1.37-3.1.dsc
  to pool/main/t/tinyscheme/tinyscheme_1.37-3.1.dsc
tinyscheme_1.37-3.1_i386.deb
  to pool/main/t/tinyscheme/tinyscheme_1.37-3.1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 499887@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Luca Falavigna <dktrkranz@ubuntu.com> (supplier of updated tinyscheme package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 24 Sep 2008 01:15:22 +0200
Source: tinyscheme
Binary: tinyscheme
Architecture: source i386
Version: 1.37-3.1
Distribution: unstable
Urgency: medium
Maintainer: Panu Kalliokoski <atehwa@sange.fi>
Changed-By: Luca Falavigna <dktrkranz@ubuntu.com>
Description: 
 tinyscheme - Very small scheme implementation
Closes: 380439 499887
Changes: 
 tinyscheme (1.37-3.1) unstable; urgency=medium
 .
   * Non-maintainer upload.
   * scheme.c:
     - Apply patch from upstream CVS (revno 1.13 and 1.21) to fix a
       segfault when invoking let or letrec (Closes: #380439).
     - Apply patch from upstream CVS (revno 1.7) to fail gracefully when
       mk_vector is out of memory (Closes: #499887).
Checksums-Sha1: 
 f1cbb9e35bd2eaec9652c28dfa2a1bb6fda242d2 1012 tinyscheme_1.37-3.1.dsc
 cb5e9469bda7c1ea4d112f3506121a1ac5918961 5152 tinyscheme_1.37-3.1.diff.gz
 7610d657bebe4e4aec6b993df7e5c876bf835143 50586 tinyscheme_1.37-3.1_i386.deb
Checksums-Sha256: 
 1f29589e17ad1b13a848ff947662a877086d29d13dbd749066f34eb4cbbf76d0 1012 tinyscheme_1.37-3.1.dsc
 b0ad7af3b927534368c07037cfc4430e26606b7adc97ce2d09d6424a3ce97b2f 5152 tinyscheme_1.37-3.1.diff.gz
 599fe1a0125bdef283c4da025551578ea8defb6baf3d9a61bcaae72496abf1ca 50586 tinyscheme_1.37-3.1_i386.deb
Files: 
 f2fd2a0712fd77dcfe0c2ed30925f2a7 1012 interpreters optional tinyscheme_1.37-3.1.dsc
 83606d48047e6052bd01b4e074ae0c1f 5152 interpreters optional tinyscheme_1.37-3.1.diff.gz
 99e7a2834b9a144a2f78bb87d4a87471 50586 interpreters optional tinyscheme_1.37-3.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkjaAssACgkQbdB4RPTVesrhugCfeEwJx20U7ikuoRzytpG6mnKG
OQQAn0pp584M+vIEE+FLPa3b6QynJ0zO
=xtYN
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 16 Mar 2009 10:24:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 06:56:22 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.